{
  "name": "@mark_hoog/redis-streams-transport",
  "version": "1.0.4",
  "description": "A transport layer for nestjs microservices",
  "main": "dist/index.js",
  "scripts": {
    "build:watch": "tsc -w",
    "build": "tsc",
    "prepare": "npm run build",
    "format": "prettier --write \"src/**/*ts\"",
    "lint": "eslint \"src/**/*ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/hoogie/nestjs-redis-streams-transport.git"
  },
  "keywords": [
    "nestjs",
    "redis",
    "transport"
  ],
  "author": "Mark op 't Hoog",
  "license": "ISC",
  "bugs": {
    "url": "https://gitlab.com/hoogie/nestjs-redis-streams-transport/issues"
  },
  "homepage": "https://gitlab.com/hoogie/nestjs-redis-streams-transport#readme",
  "peerDependencies": {
    "@nestjs/common": "^7.3.0",
    "@nestjs/microservices": "^7.3.0"
  },
  "dependencies": {
    "@nestjs/microservices": "^7.3.0",
    "@types/redis": "^2.8.25",
    "redis": "^3.0.2",
    "rxjs": "^6.6.0"
  },
  "devDependencies": {
    "@nestjs/common": "^7.3.2",
    "@nestjs/core": "^7.3.2",
    "@nestjs/testing": "^7.3.2",
    "@types/node": "7.10.9",
    "@typescript-eslint/eslint-plugin": "3.3.0",
    "@typescript-eslint/parser": "3.3.0",
    "eslint": "^7.4.0",
    "eslint-config-prettier": "^6.11.0",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-prettier": "^3.1.4",
    "prettier": "^2.0.5",
    "reflect-metadata": "^0.1.13",
    "typescript": "^3.9.2"
  }
}
